RelayAPI

List posts

GET
/v1/posts
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

cursor?string

Pagination cursor

limit?integer

Number of items per page

Range1 <= value <= 100
Default20
from?string

Filter: start date (ISO 8601)

Formatdate-time
to?string

Filter: end date (ISO 8601)

Formatdate-time
workspace_id?string

Filter by workspace ID

account_id?string

Filter by specific account ID

account_ids?string

Filter by any of several account IDs (comma-separated). Takes precedence over account_id.

status?string

Filter by post status

Value in

  • "draft"
  • "scheduled"
  • "publishing"
  • "published"
  • "failed"
include?string

Comma-separated list of fields to include in the response (e.g. 'targets,media')

include_external?string

When true, also return external posts merged by published_at (works with status=published or no status filter)

Default"false"

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/posts"
{  "data": [    {      "id": "string",      "status": "draft",      "content": "string",      "scheduled_at": "string",      "published_at": "string",      "targets": {        "property1": {          "status": "draft",          "platform": "twitter",          "accounts": [            {              "id": "string",              "username": "string",              "display_name": "string",              "avatar_url": "string",              "url": "string",              "platform_post_id": "string",              "target_id": "string"            }          ],          "error": {            "code": "string",            "message": "string",            "detail": "string"          }        },        "property2": {          "status": "draft",          "platform": "twitter",          "accounts": [            {              "id": "string",              "username": "string",              "display_name": "string",              "avatar_url": "string",              "url": "string",              "platform_post_id": "string",              "target_id": "string"            }          ],          "error": {            "code": "string",            "message": "string",            "detail": "string"          }        }      },      "media": [        {          "url": "http://example.com",          "type": "image",          "thumbnail": "string"        }      ],      "target_options": {        "property1": {          "property1": null,          "property2": null        },        "property2": {          "property1": null,          "property2": null        }      },      "timezone": "string",      "metrics": {        "impressions": 0,        "reach": 0,        "likes": 0,        "comments": 0,        "shares": 0,        "saves": 0,        "clicks": 0,        "views": 0,        "engagement_rate": 0      },      "recycling": {        "id": "string",        "enabled": true,        "gap": 0,        "gap_freq": "day",        "start_date": "2019-08-24T14:15:22Z",        "expire_count": 0,        "expire_date": "2019-08-24T14:15:22Z",        "content_variations": [          "string"        ],        "recycle_count": 0,        "content_variation_index": 0,        "next_recycle_at": "2019-08-24T14:15:22Z",        "last_recycled_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "recycled_from_id": "string",      "thread_group_id": "string",      "thread_position": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo